# Uses of Enum Class org.bukkit.block.BlockSupport (Scissors-API 1.19-R0.1-SNAPSHOT API)
use: package: org.bukkit.block, enum: BlockSupport

# Uses of Enum Class
org.bukkit.block.BlockSupport

Packages that use BlockSupport
Package
Description
org.bukkit.block
Classes used to manipulate the voxels in a `world`, including special states.
org.bukkit.block.data
Generalized BlockData classes.

## Uses of BlockSupport in org.bukkit.block

Methods in org.bukkit.block that return BlockSupport
Modifier and Type
Method
Description
`static BlockSupport`
BlockSupport.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BlockSupport[]`
BlockSupport.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of BlockSupport in org.bukkit.block.data

Methods in org.bukkit.block.data with parameters of type BlockSupport
Modifier and Type
Method
Description
`boolean`
BlockData.`isFaceSturdy(@NotNull BlockFace face, @NotNull BlockSupport support)`
Checks if a state's `BlockFace` is capable of providing a given level of `BlockSupport` for neighbouring block states.